package org.openxma.hbmfilemerge;

/**
 * Describes file-name suffixes for hibernate mapping files.</br> - used for
 * merging custom into generated hbm files
 *
 */
enum HbmFileNameSuffix {
    FRAGMENT("fragment"), GEN("gen"), HBM_FRAGMENT_XML("hbm.fragment.xml"), HBM_GEN_XML("hbm.gen.xml");

    private final String suffix;

    private HbmFileNameSuffix(String suffix) {
        this.suffix = suffix;
    }

    @Override
    public String toString() {
        return suffix;
    }

}
